Subject: Re: [PATCH net-next 2/3] ezchip: Switch to some devm_ function to simplify code

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 Jan 2023 10:31:14 -0800

On Thu, 5 Jan 2023 07:27:00 +0100 Christophe JAILLET wrote:
> My main point is in the cover letter. I look for feed-back to know if 
> patches like that are welcomed. Only the first, Only the second, Both or 
> None.

Sorry, missed that.

> These patches (at least 1 and 2) can be seen as an RFC for net 
> MAINTAINERS, to see if there is any interest in:
>    - axing useless netif_napi_del() calls, when free_netdev() is called 
> just after. (patch 1)

I think it'd be too much noise. I'd vote no.

>    - simplifying code with axing the error handling path of the probe 
> and the remove function in favor of using devm_ functions (patch 2)

I believe DaveM was historically opposed to those helpers in general.
I think we should avoid pure conversions, unless they are part of
development of new features or fix bugs.